Name:           python-fusesoc
Version:        2.4.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Award-winnning package manager and build abstraction tool for HDL code

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://fusesoc.net
Source:         %{pypi_source fusesoc}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fusesoc' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fusesoc
Summary:        %{summary}

%description -n python3-fusesoc %_description


%prep
%autosetup -p1 -n fusesoc-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fusesoc -f %{pyproject_files}


%changelog
%autochangelog